<?php

///////////////////////////////////////////////////////////////////////////////////////////////////////
// BotBanish 6.1.00
// Randem Systems: https://randemsystems.support
// BotBanish Analytics Templates for SMF
// Date: 04/08/2025
// Usage: 
//
// Function: Shows Analytics
///////////////////////////////////////////////////////////////////////////////////////////////////////

if (!isset($sourcedir))
	die('Hacking attempt...');

function template_show_analytics() {

	global $BotBanishSettings;
	
	$url = $BotBanishSettings['BOTBANISH_INSTALL_URL'] . 'Analytics/BotBanishAnalytics.php';
	echo $BotBanishSettings['BOTBANISH_HEADER_HTML'];

	echo '
	<div id="analytics">
		<iframe id="Analytics" width="100%" height="1000" frameborder=0 scrolling=auto allowtransparency="true" src="' . $url . '"></iframe>
	</div>';
}

function template_show_analytics_logs() {

	global $BotBanishSettings;
	
	$url = $BotBanishSettings['BOTBANISH_INSTALL_URL'] . 'Analytics/BotBanishViewLogs.php';
	echo $BotBanishSettings['BOTBANISH_HEADER_HTML'];
	
	echo '
	<div id="analytics">
		<iframe id="Analytics" width="100%" height="1000" frameborder=0 scrolling=auto allowtransparency="true" src="' . $url . '"></iframe>
	</div>';
}
?>